import { FC, useState } from "react";
import Link from "next/link";
import IconFont from "@/assets/iconfont";
import Styles from "./index.module.less";

interface BitzBranchCardProps {
  /**
   * 分支机构数据
   */
  data?: any;

  keyData?:string;
}

const BitzBranchCard: FC<BitzBranchCardProps> = ({data,keyData}) => {
  
  const [iconColor,setIconClor]=useState<string>('#333')

  return (
    <Link href={`/branch/${data?.id}`} className={Styles.branchCardBlock} onMouseOver={()=>{
      if(keyData==data?.id){
        setIconClor('#fff')
      }else{
        setIconClor('#333')
      }
    }} onMouseLeave={()=>{
      setIconClor('#333')
    }}>
      <div className={Styles["branch-detail"]}>
        <div className={Styles["name-box"]}>
          <div className={Styles.name}>{data?.item?.name}</div>
          <div className={Styles.eng}>{data?.item?.extension}</div>
        </div>

        <div className={Styles["type-box-list"]}>
          <div className={Styles["type-box-item"]}>
            <IconFont color={iconColor} name="daohang" className={Styles.icon} size={20} />
            <div className={Styles["text"]}>{data?.item?.address}</div>
          </div>
          <div className={Styles["type-box-item"]}>
            <IconFont color={iconColor} name="dadianhua" className={Styles.icon} size={20} />
            <div className={Styles["text"]}>{data?.telephone}</div>
          </div>
          <div className={Styles["type-box-item"]}>
            <IconFont color={iconColor} name="youxiang" className={Styles.icon} size={18} />
            <div className={Styles["text"]}>{data?.email}</div>
          </div>
        </div>

        <img
          className={Styles.shading}
          src="https://www.huajulaw.com/_nuxt/img/shading1.6f591d0.png"
          alt=""
        />
      </div>
    </Link>
  );
};

export default BitzBranchCard;
