import { ReactNode } from "react";

const BitzBtn = ({
  className,
  onClick,
  children,
}: {
  className?: string;
  onClick?: () => void;
  children?: ReactNode;
}) => {
  return (
    <a
      className={`cursor-pointer block w-48 p-3 border border-red-900 rounded-full text-center mr-auto ml-auto transition-all duration-500 hover:bg-red-900 hover:text-white ${className}`}
      onClick={onClick}
    >
      {children}
    </a>
  );
};

export default BitzBtn;
