import { FC } from "react";
import Image from "next/image";
import styles from "./index.module.less";
import { useTranslation } from 'next-i18next'
import Nodata from "@/assets/images/nodata.png";

interface BitzNoDataProps {
  /**
   * 数据
   */
  data?: any;
  /**
   * 图片
   */
  imgSrc?: any;
  /**
   * 标题
   */
  title?: string;
}

const BitzNoData: FC<BitzNoDataProps> = ({ data = [], imgSrc, title }) => {
  const { t } = useTranslation();
  return (
    <>
      {data?.length == 0 && (
        <div className={styles.bitzNoDataBlock}>
          <h3>{title || `${t("Web_NoData", "暂无数据")}`}</h3>
          <div className={styles.imgBox}>
            <Image className={styles.img} src={imgSrc||Nodata} alt="无数据" />
          </div>
        </div>
      )}
    </>
  );
};

export default BitzNoData;
