import type { Meta } from "@storybook/react";

import BitzPagination from "./index";
import { useState } from "react";

const meta: Meta<typeof BitzPagination> = {
  title: "基础UI/BitzPagination",
  component: BitzPagination,
};

export default meta;


export const Default = () => {
  const [form, setForm] = useState<object>({
    pageNumber: 1,
    pageSize: 10,
  });
  const total=120;
  const dataSource=[1,2,3,4]
  const paginationEmit = (page: number, pageSize: number) => {
    setForm({ ...form, pageNumber: page, pageSize: pageSize });
  };
  return (
    <BitzPagination
      total={total}
      dataSource={dataSource}
      formPage={1}
      paginationEmit={paginationEmit}
    />
  );
};
